Skip to main content
POST
Python (SDK)

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

suite_id
string
required

Body

application/json
limit
integer
default:5

How many runs to measure in this call. Call again until remaining_runs is 0.

Required range: 1 <= x <= 20

Response

200 - application/json

OK

object
any
required
suite_id
string
required
measured_runs
integer
required

Runs whose samples were counted in this call.

Required range: 0 <= x <= 9007199254740991
measured_samples
integer
required

Samples that gained token figures in this call.

Required range: 0 <= x <= 9007199254740991
remaining_runs
integer
required

Runs of the suite that still have samples with text but no token figure, after this call.

Required range: 0 <= x <= 9007199254740991